Subject: Re: [Gen-art] Assignment: draft-ietf-netconf-prot-11.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 10 Mar 2006 11:30:54 +0100

Version 12 has these changes and I will ballot No Objection.
Thanks

    Brian
Brian E Carpenter wrote:
> I'm ready to go NO OBJECTION when I see these in the tracker.
> I am happy with the -ssh draft too.
> 
>     Brian
> 
> 
> Rob Enns wrote:
> 
>> Here are the proposed changes.
>>
>> ------------------
>> Page 18:
>>
>> Add these 2 paragraphs to section 5.2:
>>
>>     NETCONF carries configuration data inside the <config> element
>>     that is specific to device's data model.  The protocol treats the
>>     contents of that element as opaque data.  The device uses
>>     capabilities to announce the set of data models which the
>>     device implements.  The capability definition details the
>>     operation and constraints imposed by data model.
>>
>>     Devices and managers may support multiple data models,     
>> including both standard and proprietary data models. 
>> ------------------
>> Page 36:
>>
>> OLD:
>>       element can appear as the <config> parameter and should identify a
>>       local configuration file.
>>
>> NEW:
>>       element can appear instead of the <config> parameter and should 
>>       identify a local configuration file.
>>
>> ------------------
>> Page 39:
>>
>> OLD:
>>
>>       config:
>>
>>          Portion of the configuration subtree to edit.
>>
>> NEW:
>>
>>       config:
>>
>>          A hierarchy of configuration data as defined by one of the
>>          device's data models.  The contents MUST be placed in an
>>          appropriate namespace, to allow the device to detect the
>>          appropriate data model, and the contents MUST follow the
>>          constraints of that data model, as defined by its capability
>>          definition.  Capabilities are discussed in Section 8.
>>
>> _______________________________________________
>> Gen-art mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/gen-art
>>
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art